Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_RMCast_Ack_Worker Class Reference

Process an Ack message in the ACE_RMCast_Retransmission module. More...

`#include <RMCast_Ack_Worker.h>`

Inheritance diagram for ACE_RMCast_Ack_Worker

[legend]
Collaboration diagram for ACE_RMCast_Ack_Worker:

[legend]
List of all members.

## Public Methods
| ACE_RMCast_Ack_Worker (ACE_RMCast::Ack &ack, ACE_RMCast_Retransmission::Messages::Write_Guard &g, ACE_RMCast_Retransmission::Messages *messages)
virtual int | work (ACE_UINT32 const & key, ACE_RMCast::Data const &item)
## Private Methods
| ACE_RMCast_Ack_Worker (const ACE_RMCast_Ack_Worker&)
ACE_RMCast_Ack_Worker& | operator= (const ACE_RMCast_Ack_Worker&)
## Private Attributes
ACE_RMCast::Ack& | ack_
ACE_RMCast_Retransmission::Messages::Write_Guard& | ace_mon_
ACE_RMCast_Retransmission::Messages* | messages_

## Detailed Description

Process an Ack message in the ACE_RMCast_Retransmission module.

The retransmission module uses internal iterators, thus it needs to create helper Worker classes to process some messages.

## Constructor & Destructor Documentation

ACE_INLINE ACE_RMCast_Ack_Worker::ACE_RMCast_Ack_Worker ( | ACE_RMCast::Ack & ack,
| ACE_RMCast_Retransmission::Messages::Write_Guard & g,
| ACE_RMCast_Retransmission::Messages * messages )

ACE_RMCast_Ack_Worker::ACE_RMCast_Ack_Worker ( | const ACE_RMCast_Ack_Worker & )`[private]`

## Member Function Documentation

ACE_RMCast_Ack_Worker& ACE_RMCast_Ack_Worker::operator= ( | const ACE_RMCast_Ack_Worker & )`[private]`

const char *get_rcsid_ace _ int ACE_RMCast_Ack_Worker::work ( | ACE_UINT32 const & key,
| ACE_RMCast::Data const & item )`[inline, virtual]`

## Member Data Documentation

ACE_RMCast_Retransmission::Messages::Write_Guard & ACE_RMCast_Ack_Worker::ace_mon_`[private]`

ACE_RMCast::Ack & ACE_RMCast_Ack_Worker::ack_`[private]`

ACE_RMCast_Retransmission::Messages * ACE_RMCast_Ack_Worker::messages_`[private]`

The documentation for this class was generated from the following files:

- RMCast_Ack_Worker.h
- RMCast_Ack_Worker.cpp
- RMCast_Ack_Worker.i